TabGeckoDocs
Website
Documentation / Bookmarks · API

Bookmarks · API

Generated from the OpenAPI snapshot. Source summaries remain unchanged; JSON schemas below are the exact exported definitions.

GET /api/v1/profiles/{id}/bookmarks

Verwaltete Lesezeichen eines Profils

Authentication: bearer token

Required route scopes: profiles:read

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
idpathYes
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "items"
          ],
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "title",
                  "url",
                  "folder"
                ],
                "properties": {
                  "title": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  },
                  "folder": {
                    "type": [
                      "null",
                      "string"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Verwaltete Lesezeichen eines Profils",
  "tags": [
    "Lesezeichen"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "items"
            ],
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "title",
                    "url",
                    "folder"
                  ],
                  "properties": {
                    "title": {
                      "type": "string"
                    },
                    "url": {
                      "type": "string"
                    },
                    "folder": {
                      "type": [
                        "null",
                        "string"
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

PUT /api/v1/profiles/{id}/bookmarks

Lesezeichen ersetzen; wirksam beim nächsten Start (eigene Lesezeichen im Browser bleiben erhalten)

Authentication: bearer token

Required route scopes: profiles:write

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
idpathYes
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]
Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "bookmarks"
        ],
        "properties": {
          "bookmarks": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "title",
                "url"
              ],
              "properties": {
                "title": {
                  "type": "string",
                  "maxLength": 512
                },
                "url": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 2048
                },
                "folder": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 256
                }
              }
            },
            "maxItems": 1000
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "items"
          ],
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "title",
                  "url",
                  "folder"
                ],
                "properties": {
                  "title": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  },
                  "folder": {
                    "type": [
                      "null",
                      "string"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Lesezeichen ersetzen; wirksam beim nächsten Start (eigene Lesezeichen im Browser bleiben erhalten)",
  "tags": [
    "Lesezeichen"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "bookmarks"
          ],
          "properties": {
            "bookmarks": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "title",
                  "url"
                ],
                "properties": {
                  "title": {
                    "type": "string",
                    "maxLength": 512
                  },
                  "url": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 2048
                  },
                  "folder": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "maxLength": 256
                  }
                }
              },
              "maxItems": 1000
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "items"
            ],
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "title",
                    "url",
                    "folder"
                  ],
                  "properties": {
                    "title": {
                      "type": "string"
                    },
                    "url": {
                      "type": "string"
                    },
                    "folder": {
                      "type": [
                        "null",
                        "string"
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/profiles/batch/bookmarks

Lesezeichen für mehrere Profile hinzufügen, ersetzen oder leeren

Authentication: bearer token

Required route scopes: profiles:write

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "ids",
          "mode"
        ],
        "properties": {
          "ids": {
            "type": "array",
            "items": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64
            },
            "minItems": 1,
            "maxItems": 1000
          },
          "mode": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "add"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "replace"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "clear"
                ]
              }
            ]
          },
          "bookmarks": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "title",
                "url"
              ],
              "properties": {
                "title": {
                  "type": "string",
                  "maxLength": 512
                },
                "url": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 2048
                },
                "folder": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "maxLength": 256
                }
              }
            },
            "maxItems": 1000
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "results",
            "succeeded",
            "failed"
          ],
          "properties": {
            "results": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "index",
                  "id",
                  "ok"
                ],
                "properties": {
                  "index": {
                    "type": "integer"
                  },
                  "id": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "ok": {
                    "type": "boolean"
                  },
                  "no": {
                    "type": "integer"
                  },
                  "error": {
                    "type": "object",
                    "required": [
                      "code",
                      "message"
                    ],
                    "properties": {
                      "code": {
                        "type": "string"
                      },
                      "message": {
                        "type": "string"
                      },
                      "details": {
                        "type": "object",
                        "additionalProperties": {}
                      }
                    }
                  }
                }
              }
            },
            "succeeded": {
              "type": "integer"
            },
            "failed": {
              "type": "integer"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Lesezeichen für mehrere Profile hinzufügen, ersetzen oder leeren",
  "tags": [
    "Lesezeichen"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "ids",
            "mode"
          ],
          "properties": {
            "ids": {
              "type": "array",
              "items": {
                "type": "string",
                "minLength": 1,
                "maxLength": 64
              },
              "minItems": 1,
              "maxItems": 1000
            },
            "mode": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "add"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "replace"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "clear"
                  ]
                }
              ]
            },
            "bookmarks": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "title",
                  "url"
                ],
                "properties": {
                  "title": {
                    "type": "string",
                    "maxLength": 512
                  },
                  "url": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 2048
                  },
                  "folder": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "maxLength": 256
                  }
                }
              },
              "maxItems": 1000
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "results",
              "succeeded",
              "failed"
            ],
            "properties": {
              "results": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "index",
                    "id",
                    "ok"
                  ],
                  "properties": {
                    "index": {
                      "type": "integer"
                    },
                    "id": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "ok": {
                      "type": "boolean"
                    },
                    "no": {
                      "type": "integer"
                    },
                    "error": {
                      "type": "object",
                      "required": [
                        "code",
                        "message"
                      ],
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "details": {
                          "type": "object",
                          "additionalProperties": {}
                        }
                      }
                    }
                  }
                }
              },
              "succeeded": {
                "type": "integer"
              },
              "failed": {
                "type": "integer"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/bookmarks/parse

Lesezeichen aus Zeilen („Ordner::Name::URL“, „Name::URL“, „URL“) oder HTML-Lesezeichendatei lesen

Authentication: bearer token

Required route scopes: profiles:read

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "text"
        ],
        "properties": {
          "text": {
            "type": "string",
            "maxLength": 16777216
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "format",
            "items",
            "errors"
          ],
          "properties": {
            "format": {
              "type": "string"
            },
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "title",
                  "url",
                  "folder"
                ],
                "properties": {
                  "title": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  },
                  "folder": {
                    "type": [
                      "null",
                      "string"
                    ]
                  }
                }
              }
            },
            "errors": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "line",
                  "message"
                ],
                "properties": {
                  "line": {
                    "type": "integer"
                  },
                  "message": {
                    "type": "string"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Lesezeichen aus Zeilen („Ordner::Name::URL“, „Name::URL“, „URL“) oder HTML-Lesezeichendatei lesen",
  "tags": [
    "Lesezeichen"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "text"
          ],
          "properties": {
            "text": {
              "type": "string",
              "maxLength": 16777216
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "profiles:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "format",
              "items",
              "errors"
            ],
            "properties": {
              "format": {
                "type": "string"
              },
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "title",
                    "url",
                    "folder"
                  ],
                  "properties": {
                    "title": {
                      "type": "string"
                    },
                    "url": {
                      "type": "string"
                    },
                    "folder": {
                      "type": [
                        "null",
                        "string"
                      ]
                    }
                  }
                }
              },
              "errors": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "line",
                    "message"
                  ],
                  "properties": {
                    "line": {
                      "type": "integer"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

Native API reference